The WebSphere Liberty charm does not work with xenial

Bug #1599514 reported by Matt Bruzek on 2016-07-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
websphere-liberty (Juju Charms Collection)
Undecided
Unassigned

Bug Description

The WebSphere Liberty charm does not run on xenial because the hooks use #!/usr/bin/python and xenial cloud images only come with python3 installed.

The hooks must be updated to python3 for this charm to work with 16.04.

Matt Bruzek (mbruzek) on 2016-07-06
description: updated
Kevin W Monroe (kwmonroe) wrote :

The good news is that python3 is available on Trusty, so I *think* converting the py2 hooks to py3 and adjusting the shebang to python3 will make it work on both series.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers